WordPress.org

Support

Support » How-To and Troubleshooting » Warning: fsockopen()

Warning: fsockopen()

  • Hi, I had this problem before but now it’s more and more often… When I want to update a page, I’m getting this error message like 10 times before the page is correctly updated. Do you know what the problem is? It’s really annoying…

    Warning: fsockopen() [function.fsockopen]: unable to connect to submissions.ask.com:80 in /homez.10/alkorr/www/site/wp-includes/class-snoopy.php on line 1142

    Warning: Cannot modify header information – headers already sent by (output started at /homez.10/alkorr/www/site/wp-includes/class-snoopy.php:1142) in /homez.10/alkorr/www/site/wp-includes/pluggable.php on line 850

    thanks for your help!

Viewing 10 replies - 1 through 10 (of 10 total)
  • Warning: fsockopen() [function.fsockopen]

    you need to ask your host if this is allowed by them

    as for the headers already sent…
    http://codex.wordpress.org/Answers-Troubleshooting#Headers_already_sent

    2.8.1 changes the default transport method back to CURL instead of fsockopen.

    Thanks for your help!

    Concerning the header already sent, does than mean I have to edit class-snoopy.php and pluggable.php and remove an hypothetical white space somewhere? Because I never edited thoses pages, didn’t even know they were existing…

    As for 2.8.1, what’s the difference between CURL (?) and fsockopen? Does this correct the errors I got?

    What I still don’t uinderstand is why I encountered this problem since I installed WP 2.7.1 and I didn’t modify any core files… Weird. Is it a known bug?

    Concerning the header already sent, does than mean I have to edit class-snoopy.php and pluggable.php and remove an hypothetical white space somewhere? Because I never edited thoses pages, didn’t even know they were existing…

    No. The first error causes the second. Fix errors in order.

    As for 2.8.1, what’s the difference between CURL (?) and fsockopen? Does this correct the errors I got?

    It should, yes. Curl and fsockopen are two different methods for WP to connect to the internet.

    Ok Otto42, so the answer to this bug/problem is to upgrade to 2.8.1 since the first error is the fsockopen problem? That’s a radical solution since some of the plugins I use doesn’t work with 2.8…

    Any other idea?

    Thanks!

    It’s trying to connect to submissions.ask.com. This is likely from a plugin, probably the Sitemaps plugin. Change the setting in that plugin to not have it connect to ask.com.

    That’s exactly what I did just after I sent my message, thanks Otto42 🙂

    Now I still have to find out for fsockopen without upgrading to 2.8.1…

    🙂

    Thanks for this thread. I encountered the same problem and now it was fixed because of you guys. To culprit was http://submissions.ask.com/. Just disable it (un-check the “Notify Ask.com about updates of your Blog”) in your XML Sitemaps plugin and everything will work just fine.

    These solutions are not working for me. I have WP 2.9.2 and have unchecked the Ask.com submission in XML Sitemap Generator for WordPress 3.1.6.3. The weird thing is this just started happening about 2 weeks ago, never a problem before. Below are the actual error messages. Any help would be appreciated.

    Warning: fsockopen() [function.fsockopen]: unable to connect to api.longurl.org:80 (Connection timed out) in /home/content/15/5738715/html/bibleornot.org/wp-includes/class-snoopy.php on line 1142

    Warning: Cannot modify header information – headers already sent by (output started at /home/content/15/5738715/html/bibleornot.org/wp-includes/class-snoopy.php:1142) in /home/content/15/5738715/html/bibleornot.org/wp-includes/pluggable.php on line 868

    OK, after a day this started working again. ?

Viewing 10 replies - 1 through 10 (of 10 total)
  • The topic ‘Warning: fsockopen()’ is closed to new replies.
Skip to toolbar